***********************************************
* "Do Better Paid Politicians Perform Better?"
* Figure 5
***********************************************


* LEFT

use SIN19932001.dta, clear
rename gender gender1
rename age age1
rename years_school years_school1
rename empl_not empl_not1
rename empl_entr empl_entr1
rename empl_boss empl_boss1
rename empl_low empl_low1
rename gender_second gender2
rename age_second age2
rename years_school_second years_school2
rename empl_not_second empl_not2
rename empl_entr_second empl_entr2
rename empl_boss_second empl_boss2
rename empl_low_second empl_low2
rename gender_third gender3
rename age_third age3
rename years_school_third years_school3
rename empl_not_third empl_not3
rename empl_entr_third empl_entr3
rename empl_boss_third empl_boss3
rename empl_low_third empl_low3
keep pop_census gender1 age1 years_school1 empl_not1 empl_entr1 empl_boss1 empl_low1 gender2 age2 years_school2 empl_not2 empl_entr2 empl_boss2 empl_low2 gender3 age3 /*
*/ years_school3 empl_not3 empl_entr3 empl_boss3 empl_low3 id_city year_election t5000 pop5000 t5000_int1 pop5000_2 pop5000_3 pop5000_4 t5000_int2 t5000_int3 t5000_int4 extension alt_center NORTH
reshape long gender age years_school empl_not empl_entr empl_boss empl_low, i(id_city year_election)
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_entr!=. & empl_boss!=. & empl_low!=.

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg gender t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg gender t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Female, left") xtitle("Estimated coefficient") xline(0,lwidth(0.005) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandgender_sin.gph, replace
graph export placebo_maycandgender_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg age t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg age t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Age, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.903,lwidth(0.2) lcolor(black))) ytitle("c.d.f.") ytitle("c.d.f.")
graph save placebo_maycandage_sin.gph, replace
graph export placebo_maycandage_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg years_school t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg years_school t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Years school, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xscale(range(-1 1)) xline(0.905,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandyears_school_sin.gph, replace
graph export placebo_maycandyears_school_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg empl_not t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg empl_not t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Not employed, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.025,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_not_sin.gph, replace
graph export placebo_maycandempl_not_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg empl_entr t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg empl_entr t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Entrepreneur, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.037,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_entr_sin.gph, replace
graph export placebo_maycandempl_entr_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg empl_boss t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg empl_boss t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("White collar, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(0.082,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_boss_sin.gph, replace
graph export placebo_maycandempl_boss_sin.eps, replace
drop t4900-bl5
restore

preserve
gen t4900=pop_census>=4900 & pop_census!=.
gen pop4900_dx=pop_census-4900
gen pop4900_dx2=pop4900_dx^2
gen pop4900_dx3=pop4900_dx^3
gen pop4900_sin=t4900*pop4900_dx
gen pop4900_sin2=pop4900_sin^2
gen pop4900_sin3=pop4900_sin^3
qui reg empl_low t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t4900=1 if pop_census>=4900-`x'
replace pop4900_dx=pop4900_dx-`x'
replace pop4900_dx2=pop4900_dx^2
replace pop4900_dx3=pop4900_dx^3
replace pop4900_sin=pop4900_sin-`x'
replace pop4900_sin2=pop4900_sin^2
replace pop4900_sin3=pop4900_sin^3
qui reg empl_low t4900 pop4900_dx pop4900_dx2 pop4900_dx3 pop4900_sin pop4900_sin2 pop4900_sin3 if pop_census>3250 & pop_census<5000,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Blue collar, left") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.018,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_low_sin.gph, replace
graph export placebo_maycand_empl_low_sin.eps, replace
drop t4900-bl5
restore

* RIGHT

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg gender t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg gender t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Female, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(0,lwidth(0.005) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandgender_dx.gph, replace
graph export placebo_maycandgender_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg age t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg age t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Age, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.903,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandage_dx.gph, replace
graph export placebo_maycandage_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg years_school t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg years_school t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Years school, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(0.905,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandyears_school_dx.gph, replace
graph export placebo_maycandyears_school_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg empl_not t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg empl_not t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Not employed, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.025,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_not_dx.gph, replace
graph export placebo_maycandempl_not_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg empl_entr t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg empl_entr t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Entrepreneur, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.037,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_entr_dx.gph, replace
graph export placebo_maycandempl_entr_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg empl_boss t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg empl_boss t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("White collar, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(0.082,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_boss_dx.gph, replace
graph export placebo_maycandempl_boss_dx.eps, replace
drop t5100-bl5
restore

preserve
gen t5100=pop_census>=5100 & pop_census!=.
gen pop5100_dx=pop_census-5100
gen pop5100_dx2=pop5100_dx^2
gen pop5100_dx3=pop5100_dx^3
gen pop5100_sin=t5100*pop5100_dx
gen pop5100_sin2=pop5100_sin^2
gen pop5100_sin3=pop5100_sin^3
qui reg empl_low t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
matrix b1=e(b)
matrix b1=b1[1,1]
matrix v1=e(V)
matrix v1=v1[1,1]
matrix v1=(v1)'
foreach x of numlist 2(1)500 {       
replace t5100=1 if pop_census>=5100-`x'
replace pop5100_dx=pop5100_dx-`x'
replace pop5100_dx2=pop5100_dx^2
replace pop5100_dx3=pop5100_dx^3
replace pop5100_sin=pop5100_sin-`x'
replace pop5100_sin2=pop5100_sin^2
replace pop5100_sin3=pop5100_sin^3
qui reg empl_low t5100 pop5100_dx pop5100_dx2 pop5100_dx3 pop5100_sin pop5100_sin2 pop5100_sin3 if pop_census>=5000 & pop_census<6750,cluster(id_city)
 matrix b`x'=e(b)
 matrix b`x'=b`x'[1,1]
 local num=`x'-1
 matrix b`x'=(b`num'\b`x') 
 matrix v`x'=e(V)
 matrix v`x'=v`x'[1,1]
 matrix v`x'=(v`x')'
 matrix v`x'=(v`num'\v`x')
}
svmat b500
svmat v500
drop if b5001==.
gen quantile=_n
rename b5001 b
gen bu5=(b+1.96*sqrt(v5001))
gen bl5=(b-1.96*sqrt(v5001))
cdfplot b, opt1(lcolor(blue) lwidth(medthick) title("Blue collar, right") ytitle(c.d.f.) xtitle("Estimated coefficient") xline(-0.018,lwidth(0.2) lcolor(black))) ytitle("c.d.f.")
graph save placebo_maycandempl_low_dx.gph, replace
graph export placebo_maycand_empl_low_dx.eps, replace
drop t5100-bl5

graph combine placebo_maycandgender_sin.gph placebo_maycandgender_dx.gph placebo_maycandage_sin.gph placebo_maycandage_dx.gph placebo_maycandyears_school_sin.gph placebo_maycandyears_school_dx.gph placebo_maycandempl_not_sin.gph placebo_maycandempl_not_dx.gph placebo_maycandempl_entr_sin.gph placebo_maycandempl_entr_dx.gph placebo_maycandempl_boss_sin.gph placebo_maycandempl_boss_dx.gph placebo_maycandempl_low_sin.gph placebo_maycandempl_low_dx.gph 
graph save graphplacebomaycand.gph, replace
graph export graphplacebomaycand.png, replace
graph export graphplacebomaycand.eps, replace
restore
