***********************************************
* "Do Better Paid Politicians Perform Better?"
* Figure 7
***********************************************


use SIN19932001.dta, clear

sort id_city year_election
bysort id_city: gen counter=_n 
keep if counter==1

foreach i in 100 {
gen pop_census_grp`i' = `i'*int((pop_census)/`i')
egen  mean_pop_census`i' = mean(pop_census), by(pop_census_grp`i')
foreach var of varlist extension alt_center NORTH {
  egen `var'_mean`i' = mean(`var'), by(pop_census_grp`i')
}
}

reg extension pop_census if pop_census>=3300 & pop_census<5000
predict yhat_left if pop_census>=3300 & pop_census<5000
predict SE_left if pop_census>=3300 & pop_census<5000, stdp
gen low_left = yhat_left - 1.64*(SE_left)
gen high_left = yhat_left + 1.64*(SE_left)
reg extension pop_census if pop_census>=5000 & pop_census<=6700
predict yhat_right if pop_census>=5000 & pop_census<=6700
predict SE_right if pop_census>=5000 & pop_census<=6700, stdp
gen low_right = yhat_right - 1.64*(SE_right)
gen high_right = yhat_right + 1.64*(SE_right)
twoway (line yhat_left pop_census if pop_census>=3300 & pop_census<5000, pstyle(p p3 p3) sort) /*
*/     (line yhat_right pop_census if pop_census>=5000 & pop_census<=6700, pstyle(p p3 p3) sort) /*
*/     (lowess extension pop_census if pop_census<5000, mean lcolor(blue) lwidth(medthick) bwidth(1)) /*
*/     (lowess extension pop_census if pop_census>=5000, mean lcolor(red) lwidth(medthick) bwidth(1)) /*
*/     (scatter extension_mean mean_pop_census, msize(small) mlwidth(vthin) msymbol(circle_hollow) mcolor(gray)), /*
*/     xtitle(Population, size(medlarge)) ytitle(Area, size(medlarge)) legend(off) xline(5000, lwidth(0.2) lcolor(black)) xscale(range(3250 6750)) xlabel(4000 5000 6000)
drop yhat_right SE_right high_right low_right yhat_left SE_left high_left low_left
graph save balance_extension.gph, replace

reg alt_center pop_census if pop_census>=4000 & pop_census<5000
predict yhat_left if pop_census>=4000 & pop_census<5000
predict SE_left if pop_census>=4000 & pop_census<5000, stdp
gen low_left = yhat_left - 1.64*(SE_left)
gen high_left = yhat_left + 1.64*(SE_left)
reg alt_center pop_census if pop_census>=5000 & pop_census<=6000
predict yhat_right if pop_census>=5000 & pop_census<=6000
predict SE_right if pop_census>=5000 & pop_census<=6000, stdp
gen low_right = yhat_right - 1.64*(SE_right)
gen high_right = yhat_right + 1.64*(SE_right)
twoway (line yhat_left pop_census if pop_census>=4000 & pop_census<5000, pstyle(p p3 p3) sort) /*
*/     (line yhat_right pop_census if pop_census>=5000 & pop_census<=6000, pstyle(p p3 p3) sort) /*
*/     (lowess alt_center pop_census if pop_census<5000, mean lcolor(blue) lwidth(medthick) bwidth(1)) /*
*/     (lowess alt_center pop_census if pop_census>=5000, mean lcolor(red) lwidth(medthick) bwidth(1)) /*
*/     (scatter alt_center_mean mean_pop_census, msize(small) mlwidth(vthin) msymbol(circle_hollow) mcolor(gray)), /*
*/     xtitle(Population, size(medlarge)) ytitle(Sea level, size(medlarge)) legend(off) xline(5000, lwidth(0.2) lcolor(black)) xscale(range(3250 6750)) xlabel(4000 5000 6000) ylabel(100 200 300 400)
drop yhat_right SE_right high_right low_right yhat_left SE_left high_left low_left
graph save balance_alt_center.gph, replace

reg NORTH pop_census if pop_census>=4400 & pop_census<5000
predict yhat_left if pop_census>=4400 & pop_census<5000
predict SE_left if pop_census>=4400 & pop_census<5000, stdp
gen low_left = yhat_left - 1.64*(SE_left)
gen high_left = yhat_left + 1.64*(SE_left)
reg NORTH pop_census if pop_census>=5000 & pop_census<=5600
predict yhat_right if pop_census>=5000 & pop_census<=5600
predict SE_right if pop_census>=5000 & pop_census<=5600, stdp
gen low_right = yhat_right - 1.64*(SE_right)
gen high_right = yhat_right + 1.64*(SE_right)
twoway (line yhat_left pop_census if pop_census>=3400 & pop_census<5000, pstyle(p p3 p3) sort) /*
*/     (line yhat_right pop_census if pop_census>=5000 & pop_census<=6600, pstyle(p p3 p3) sort) /*
*/     (lowess NORTH pop_census if pop_census<5000, mean lcolor(blue) lwidth(medthick) bwidth(1)) /*
*/     (lowess NORTH pop_census if pop_census>=5000, mean lcolor(red) lwidth(medthick) bwidth(1)) /*
*/     (scatter NORTH_mean mean_pop_census, msize(small) mlwidth(vthin) msymbol(circle_hollow) mcolor(gray)), /*
*/     xtitle(Population, size(medlarge)) ytitle(North/South, size(medlarge)) legend(off) xline(5000, lwidth(0.2) lcolor(black)) xscale(range(3250 6750)) xlabel(4000 5000 6000)
drop yhat_right SE_right high_right low_right yhat_left SE_left high_left low_left
graph save balance_NORTH.gph, replace

graph combine balance_extension.gph balance_alt_center.gph balance_NORTH.gph
graph save graphbalance.gph, replace
graph export graphbalance.png, replace
graph export graphbalance.eps, replace



