***********************************************
* "Do Better Paid Politicians Perform Better?"
* Table 5
***********************************************


*** efficiency indicators: LLR Imbens & Lemieux

use SIN19932001.dta, clear
keep if year_termination-year_election>=4 & year_termination!=. & year_election!=.
keep if avg_deficit_pc!=. & avg_expend_pc!=. & avg_expend_cap_pc!=. & avg_expend_rigid_pc!=. & avg_expend_serv_pc!=. & avg_rev_pc!=. & avg_rev_transf_pc!=. & avg_rev_tax_pc!=. & avg_rev_notax_pc!=. & avg_rev_collect!=. & avg_expend_speed!=.

sort id_mayor year_election
foreach var in avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc avg_rev_collect avg_expend_speed {
by id_mayor: gen shift_`var'=(`var'-`var'[_n-1]) if term_limit==1 
gen panel_`var'=.
by id_mayor: replace panel_`var'=1 if shift_`var'!=.
by id_mayor: replace panel_`var'=1 if shift_`var'[_n+1]!=.
}

g s=1-term_limit
gen t5000Xs=t5000*s
gen pop5000Xs=pop5000*s 
gen t5000_int1Xs=t5000_int1*s
gen pop5000_2Xs=pop5000_2*s 
gen t5000_int2Xs=t5000_int2*s
gen pop5000_3Xs=pop5000_3*s 
gen t5000_int3Xs=t5000_int3*s
gen pop5000_4Xs=pop5000_4*s 
gen t5000_int4Xs=t5000_int4*s

* create e(samples)
reg avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc t5000 pop5000 t5000_int1 if pop_census>3250 & pop_census<6750 & term_limit==0 /*
*/ & panel_avg_deficit_pc==1 & panel_avg_expend_pc==1 & panel_avg_expend_cap_pc==1 & panel_avg_expend_rigid_pc==1 & panel_avg_expend_serv_pc==1 & panel_avg_rev_pc==1 & panel_avg_rev_transf_pc==1 & panel_avg_rev_tax_pc==1 & panel_avg_rev_notax_pc==1,cluster(id_city)
gen sample_overall_max=e(sample)==1
reg avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc pop5000 t5000 t5000_int1 s pop5000Xs t5000Xs t5000_int1Xs if pop_census>3250 & pop_census<6750 /*
*/ & panel_avg_deficit_pc==1 & panel_avg_expend_pc==1 & panel_avg_expend_cap_pc==1 & panel_avg_expend_rigid_pc==1 & panel_avg_expend_serv_pc==1 & panel_avg_rev_pc==1 & panel_avg_rev_transf_pc==1 & panel_avg_rev_tax_pc==1 & panel_avg_rev_notax_pc==1,cluster(id_city)
gen sample_incentive_max=e(sample)==1

reg avg_rev_collect t5000 pop5000 t5000_int1 if pop_census>4100 & pop_census<5900 & term_limit==0 & panel_avg_rev_collect==1 & sample_overall_max==1, cluster(id_city)
reg avg_rev_collect pop5000 t5000 t5000_int1 s pop5000Xs t5000Xs t5000_int1Xs if pop_census>4100 & pop_census<5900 & panel_avg_rev_collect==1 & sample_incentive_max==1, cluster(id_city)

reg avg_expend_speed t5000 pop5000 t5000_int1 if pop_census>3500 & pop_census<6500 & term_limit==0 & panel_avg_expend_speed==1 & sample_overall_max==1, cluster(id_city)
reg avg_expend_speed pop5000 t5000 t5000_int1 s pop5000Xs t5000Xs t5000_int1Xs if pop_census>3500 & pop_census<6500 & panel_avg_expend_speed==1 & sample_incentive_max==1, cluster(id_city)
