***********************************************
* "Do Better Paid Politicians Perform Better?"
* Cross Validation
***********************************************


*** candidates' characteristics

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
rename gender gender1
rename age age1
rename years_school years_school1
rename empl_not empl_not1
rename empl_entr empl_entr1
rename empl_boss empl_boss1
rename empl_low empl_low1
rename gender_second gender2
rename age_second age2
rename years_school_second years_school2
rename empl_not_second empl_not2
rename empl_entr_second empl_entr2
rename empl_boss_second empl_boss2
rename empl_low_second empl_low2
rename gender_third gender3
rename age_third age3
rename years_school_third years_school3
rename empl_not_third empl_not3
rename empl_entr_third empl_entr3
rename empl_boss_third empl_boss3
rename empl_low_third empl_low3
keep pop_census pop_cat2 gender1 age1 years_school1 empl_not1 empl_entr1 empl_boss1 empl_low1 gender2 age2 years_school2 empl_not2 empl_entr2 empl_boss2 empl_low2 gender3 age3 /*
*/ years_school3 empl_not3 empl_entr3 empl_boss3 empl_low3 id_city year_election t5000 pop5000 t5000_int1 pop5000_2 pop5000_3 pop5000_4 t5000_int2 t5000_int3 t5000_int4 extension alt_center sea mountain NE NW
reshape long gender age years_school empl_not empl_entr empl_boss empl_low, i(id_city year_election)
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_entr!=. & empl_boss!=. & empl_low!=.

rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4999 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=1951(1)3902 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=3903(1)5154 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix list rescv`var'
}


*** mayors' characteristics

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_boss!=. & empl_low!=. & empl_entr!=.

rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4998 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=914(1)1828 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=1829(1)2399 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix list rescv`var'
}


*** excom characteristics

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
drop age_excom years_school_excom
keep pop_cat2 pop_census gender_excom* age_excom* years_school_excom* empl_not_excom* empl_boss_excom* empl_low_excom* previous_job* id_city year_election t5000 pop5000 t5000_int1 pop5000_2 pop5000_3 pop5000_4 t5000_int2 t5000_int3 t5000_int4 extension alt_center sea mountain NE NW
reshape long gender_excom age_excom years_school_excom empl_not_excom empl_boss_excom empl_low_excom, i(id_city year_election)
keep if age_excom!=. & gender_excom!=. & years_school_excom!=. & empl_not_excom!=. & empl_boss_excom!=. & empl_low_excom!=.
rename age_excom age
rename gender_excom gender
rename years_school_excom years_school
rename empl_not_excom empl_not
rename empl_boss_excom empl_boss
rename empl_low_excom empl_low
replace empl_boss=0 if previous_job>=21 & previous_job<=23 & previous_job!=.
gen empl_entr=empl_not!=1 & empl_boss!=1 & empl_low!=1 & empl_not!=.
keep if gender!=. & age!=. & years_school!=. & empl_not!=. & empl_boss!=. & empl_low!=. & empl_entr!=.

rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4998 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=3715(1)7240 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=7241(1)9574 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in gender age years_school empl_not empl_entr empl_boss empl_low {
matrix list rescv`var'
}


*** budget indicators (average)

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
keep if year_termination-year_election>=4 & year_termination!=. & year_election!=.
keep if avg_deficit_pc!=. & avg_expend_pc!=. & avg_expend_cap_pc!=. & avg_expend_rigid_pc!=. & avg_expend_serv_pc!=. & avg_rev_pc!=. & avg_rev_transf_pc!=. & avg_rev_tax_pc!=. & avg_rev_notax_pc!=. & avg_rev_collect!=. & avg_expend_speed!=.

sort id_mayor year_election
foreach var in avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc avg_rev_collect avg_expend_speed {
by id_mayor: gen shift_`var'=(`var'-`var'[_n-1]) if term_limit==1 
gen panel_`var'=.
by id_mayor: replace panel_`var'=1 if shift_`var'!=.
by id_mayor: replace panel_`var'=1 if shift_`var'[_n+1]!=.
}

g s=1-term_limit

gen t5000Xs=t5000*s
gen pop5000Xs=pop5000*s 
gen t5000_int1Xs=t5000_int1*s
gen pop5000_2Xs=pop5000_2*s 
gen t5000_int2Xs=t5000_int2*s

preserve
keep if panel_avg_deficit_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_deficit_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_deficit_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_cap_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_cap_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_cap_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_rigid_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_rigid_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_rigid_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_serv_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_serv_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_serv_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_transf_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_transf_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_transf_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_tax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_tax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_tax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_notax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_notax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=371(1)742 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=743(1)955 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_notax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_collect==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_collect {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=339(1)678 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=679(1)874 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_collect {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_speed==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_speed {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=339(1)678 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=679(1)874 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_speed {
matrix list rescv`var'
}
restore


*** city pre-determined characteristics

use SIN19932001.dta, clear
keep if pop_census>3300 & pop_census<6700

sort id_city year_election
bysort id_city: gen counter=_n 
keep if counter==1

gen NORTH=NE+NW
egen extension_mean=mean(extension)
replace extension=extension_mean if extension==.
drop extension_mean
egen alt_center_mean=mean(alt_center)
replace alt_center=alt_center_mean if alt_center==.
drop alt_center_mean
egen sea_mean=mean(sea)
replace sea=sea_mean if sea==.
drop sea_mean
egen mountain_mean=mean(mountain)
replace mountain=mountain_mean if mountain==.
drop mountain_mean
keep if extension!=. & alt_center!=. & sea!=. & NORTH!=.

rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4999 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in extension alt_center NORTH {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=452(1)904 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=905(1)1180 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in extension alt_center NORTH {
matrix list rescv`var'
}


*** budget indicators (average) for non-safe districts only

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
keep if year_termination-year_election>=4 & year_termination!=. & year_election!=.
keep if avg_deficit_pc!=. & avg_expend_pc!=. & avg_expend_cap_pc!=. & avg_expend_rigid_pc!=. & avg_expend_serv_pc!=. & avg_rev_pc!=. & avg_rev_transf_pc!=. & avg_rev_tax_pc!=. & avg_rev_notax_pc!=. & avg_rev_collect!=. & avg_expend_speed!=.

sort id_mayor year_election
foreach var in avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc avg_rev_collect avg_expend_speed {
by id_mayor: gen shift_`var'=(`var'-`var'[_n-1]) if term_limit==1 
gen panel_`var'=.
by id_mayor: replace panel_`var'=1 if shift_`var'!=.
by id_mayor: replace panel_`var'=1 if shift_`var'[_n+1]!=.
}

g s=1-term_limit

gen t5000Xs=t5000*s
gen pop5000Xs=pop5000*s 
gen t5000_int1Xs=t5000_int1*s
gen pop5000_2Xs=pop5000_2*s 
gen t5000_int2Xs=t5000_int2*s

gen safe_district=votes_first>55 if number_rivals>0 & number_rivals!=.
sort id_mayor year_election
bysort id_mayor: replace safe_district=safe_district[_n-1] if safe_district[_n-1]!=. 
keep if safe_district==0

preserve
keep if panel_avg_deficit_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_deficit_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_deficit_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_cap_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_cap_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_cap_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_rigid_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_rigid_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_rigid_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_serv_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_serv_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_serv_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_transf_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_transf_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_transf_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_tax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_tax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_tax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_notax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_notax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_notax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_collect==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_collect {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_collect {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_speed==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_speed {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=211(1)422 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=423(1)561 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_speed {
matrix list rescv`var'
}
restore


*** budget indicators (average) for freshmen after 1993 only

use SIN19932001.dta,clear
keep if pop_census>3300 & pop_census<6700
keep if year_termination-year_election>=4 & year_termination!=. & year_election!=.
keep if avg_deficit_pc!=. & avg_expend_pc!=. & avg_expend_cap_pc!=. & avg_expend_rigid_pc!=. & avg_expend_serv_pc!=. & avg_rev_pc!=. & avg_rev_transf_pc!=. & avg_rev_tax_pc!=. & avg_rev_notax_pc!=. & avg_rev_collect!=. & avg_expend_speed!=.

sort id_mayor year_election
foreach var in avg_deficit_pc avg_expend_pc avg_expend_cap_pc avg_expend_rigid_pc avg_expend_serv_pc avg_rev_pc avg_rev_transf_pc avg_rev_tax_pc avg_rev_notax_pc avg_rev_collect avg_expend_speed {
by id_mayor: gen shift_`var'=(`var'-`var'[_n-1]) if term_limit==1 
gen panel_`var'=.
by id_mayor: replace panel_`var'=1 if shift_`var'!=.
by id_mayor: replace panel_`var'=1 if shift_`var'[_n+1]!=.
}

g s=1-term_limit

gen t5000Xs=t5000*s
gen pop5000Xs=pop5000*s 
gen t5000_int1Xs=t5000_int1*s
gen pop5000_2Xs=pop5000_2*s 
gen t5000_int2Xs=t5000_int2*s

sort id_mayor date_election
bysort id_mayor: g counter=_n
g drop=1 if counter==1 & n_terms_cont>0 & n_terms_cont!=.
egen drop2=mean(drop),by(id_mayor)
drop if drop2==1
drop drop drop2

preserve
keep if panel_avg_deficit_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_deficit_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_deficit_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_cap_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_cap_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_cap_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_rigid_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_rigid_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_rigid_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_serv_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_serv_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_serv_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_transf_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_transf_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_transf_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_tax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_tax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_tax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_notax_pc==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_notax_pc {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_notax_pc {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_rev_collect==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_rev_collect {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_rev_collect {
matrix list rescv`var'
}
restore

preserve
keep if panel_avg_expend_speed==1
rename pop_census gap
sort gap
gen count=_n
egen median_l=median(count) if gap<5000 & gap>3300
egen median_r=median(count) if gap<6700 & gap>=5000
egen median_left=max(median_l)
egen median_right=max(median_r)
drop median_l median_r
sum median_left median_right
sum count if gap>=4995 & gap<5000
gen median_gap_l=gap if count==round(median_left)
gen median_gap_r=gap if count==round(median_right)
egen median_gap_left=max(median_gap_l)
egen median_gap_right=max(median_gap_r)
drop median_gap_l median_gap_r
sum median_gap_left median_gap_right
foreach var in avg_expend_speed {
matrix define rescv`var'=J(17,2,0)
forvalues k=1(1)17 {
sort gap
gen mu=.
forvalues i=274(1)548 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']-`k'*100&gap<gap[`i']
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
forvalues i=549(1)721 {
gen x=gap-gap[`i']
qui reg `var' x if gap>gap[`i']&gap<gap[`i']+`k'*100
qui matrix b=e(b)
qui replace mu=b[1,2] in `i'
drop x
}
gen cv=(`var'-mu)^2
egen cvmean=mean(cv) if gap>=median_gap_left&gap<=median_gap_right
qui sum cvmean
matrix rescv`var'[`k',2]=r(mean)
matrix rescv`var'[`k',1]=`k'
drop mu cv cvmean
}
}
foreach var in avg_expend_speed {
matrix list rescv`var'
}
restore
